Author: Sergei Golovan <sgolovan@debian.org>
Description: GCJ 4.4 passes the test for JDK 1.5 but doesn't implement
 String#String(int[], int, int) constructor, which breaks jinterface
 build. This patch adds a check for the definition of this constructor.
 It helps to build Erlang on architectures without openjdk-6 available.
Last-updated: Sat, 13 Feb 2010 10:08:42 +0300

--- erlang-13.b.3-dfsg.orig/erts/configure.in
+++ erlang-13.b.3-dfsg/erts/configure.in
@@ -3611,7 +3611,8 @@
   dnl Make sure it's at least JDK 1.5
   AC_CACHE_CHECK(for JDK version 1.5, 
      ac_cv_prog_javac_ver_1_5,
-     [ERL_TRY_LINK_JAVA([], [for (String i : args);],
+     [ERL_TRY_LINK_JAVA([], [for (String i : args);
+        int[] values = {}; String s = new String(values, 0, values.length);],
         ac_cv_prog_javac_ver_1_5=yes, ac_cv_prog_javac_ver_1_5=no)])
   if test $ac_cv_prog_javac_ver_1_5 = no; then
     unset -v JAVAC
--- erlang-13.b.3-dfsg.orig/lib/test_server/src/configure.in
+++ erlang-13.b.3-dfsg/lib/test_server/src/configure.in
@@ -399,7 +399,8 @@
   dnl Make sure it's at least JDK 1.5
   AC_CACHE_CHECK(for JDK version 1.5, 
      ac_cv_prog_javac_ver_1_5,
-     [ERL_TRY_LINK_JAVA([], [for (String i : args);],
+     [ERL_TRY_LINK_JAVA([], [for (String i : args);
+        int[] values = {}; String s = new String(values, 0, values.length);],
         ac_cv_prog_javac_ver_1_5=yes, ac_cv_prog_javac_ver_1_5=no)])
   if test $ac_cv_prog_javac_ver_1_5 = no; then
     unset -v JAVAC
